stages:
  - quality
  - build
  - upload
  - docker
  - doc

variables:
  GO_IMAGE: golang:1.19.4
  UBUNTU_IMAGE: ubuntu:22.04
  BINARY_NAME_LINUX: ${CI_PROJECT_NAME}-linux-amd64
  BINARY_NAME_LINUX_ARM: ${CI_PROJECT_NAME}-linux-arm64
  BINARY_NAME_WINDOWS: ${CI_PROJECT_NAME}.exe
  DEBIAN_PACKAGE_NAME: ${CI_PROJECT_NAME}_${VERSION}_amd64

include:
  - prepare.yml
  - quality.yml
  - build.yml
  - docker.yml
  - upload.yml
  - doc.yml
